This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 140722 - system-config-display --reconfig trashes console and keyboard input
system-config-display --reconfig trashes console and keyboard input
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 09:41 EST by taj
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 15:10:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log: Caught signal 11. Server aborting (33.75 KB, text/plain)
2004-11-24 10:09 EST, taj
no flags Details
FatalError re-entered, aborting (129.93 KB, text/plain)
2004-11-24 10:48 EST, taj
no flags Details
CORRECTED: FatalError re-entered, aborting (2.12 KB, text/plain)
2004-11-24 10:52 EST, taj
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 140697 None None None Never
FreeDesktop.org 1915 None None None Never

  None (edit)
Description taj 2004-11-24 09:41:23 EST
system-config-mouse-1.2.9-1
system-config-display-1.0.23-1
yum updated fc-devel xorg-x11-6.8.1-12.FC3.1
fairly complete update save Xchat, ooffice.org and their missing deps.  running
fc-devel kernel-2.6.9-1.650_devel.  Thinkpad 600x neomagic, ps/2 pointer.

system-config-display --reconfig results in a blank screen, no response to
keybard input but a running system otherwise.
system-config-mouse wrongly detects leaves /dev/mouse instead of /dev/input/mice
in xorg.conf.
X server seg faults after failing to find core pointer leaving console hosed.
FWIW, X -configure detects wrong mouse - filed bug
https://bugs.freedesktop.org/show_bug.cgi?id=1915.

More info in 140697
Comment 1 Paul Nasrat 2004-11-24 10:05:05 EST
I've commited an always use /dev/input/mice to system-config-mouse, and will
build a new package for rawhide shortly.

For the system-config-display --reconfig displaying blank, I need more data. 
Can you ssh into the box and get the console output/Xorg log file.
Comment 2 taj 2004-11-24 10:09:45 EST
Created attachment 107392 [details]
Log: Caught signal 11.  Server aborting


requested log.
Comment 3 taj 2004-11-24 10:14:10 EST

Just to be clearer, if xorg.conf is edited to use /dev/input/mice as the core
pointer, X11 behaves normal.
Comment 4 taj 2004-11-24 10:48:21 EST
Created attachment 107393 [details]
FatalError re-entered, aborting



typescript of startx.
Comment 5 taj 2004-11-24 10:52:37 EST
Created attachment 107394 [details]
CORRECTED: FatalError re-entered, aborting



Sorry about that.  The previous typescript was for a rpm bug on a different
system.
Comment 6 Paul Nasrat 2004-11-24 14:47:25 EST
OK so this only occurs if you've configured the mouse using system-config-mouse?

What is the output of running as root:

/usr/sbin/kudzu -p -c mouse
Comment 7 taj 2004-11-24 16:10:21 EST

It sounds like you have a workaround that will hide the bug by
hardcoding /dev/inpute/mice into xorg.conf.  The following shows that
/etc/sysconfig/mouse is correct, probing returns the right value,
kudzu and system-config-mouse fail to change xorg.conf.  But it would
appear the larger problem is xorg.conf leaves console unusuable if the
core pointer is wrong.  Does that need to be filed as another bug?  I
consider rendering the system unusable worse than guessing the wrong
mouse.  Perhaps we just have diverging interests at this point.

They following is left for your information.


[<LAPPY - root>] $  cat /etc/sysconfig/mouse
FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"
DEVICE=/dev/input/mice

[<LAPPY - root>] $ grep -A3 "Identifier  \"Mouse0\"" /etc/X11/xorg.conf
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "auto"
        Option      "Device" "/dev/mouse"

[<LAPPY - root>] $ /usr/sbin/kudzu -p -c mouse
-
class: MOUSE
bus: PSAUX
detached: 0
device: input/mice
driver: generic3ps/2
desc: "PS/2 Generic Mouse"

[<LAPPY - root>] $ /usr/sbin/kudzu -c mouse
[<LAPPY - root>] $
[<LAPPY - root>] $ grep -A3 "Identifier  \"Mouse0\"" /etc/X11/xorg.conf
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "auto"
        Option      "Device" "/dev/mouse"

[<LAPPY - root>] $ system-config-mouse --device=input/mice --noui
genericps/2
Shutting down console mouse services: [  OK  ]
Starting console mouse services: [  OK  ]
[<LAPPY - root>] $ cat /etc/sysconfig/mouse
FULLNAME="Generic - 2 Button Mouse (PS/2)"
MOUSETYPE="imps2"
XEMU3="yes"
XMOUSETYPE="IMPS/2"
DEVICE=/dev/input/mice

[<LAPPY - root>] $ grep -A3 "Identifier  \"Mouse0\"" /etc/X11/xorg.conf
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "auto"
        Option      "Device" "/dev/mouse"

[<LAPPY - root>] $ system-config-mouse --device=md0 --noui logitech
[FAILED] down console mouse services: [  OK  ]
Starting console mouse services: inputattach: can't set line discipline
[  OK  ]

### are we nervous yet?

[<LAPPY - root>] $ cat /etc/sysconfig/mouse
FULLNAME="Logitech - C7 Mouse (serial, old C7 type)"
MOUSETYPE="Logitech"
XEMU3="no"
XMOUSETYPE="Logitech"
IMOUSETYPE="mman"
DEVICE=/dev/md0

[<LAPPY - root>] $ grep -A3 "Identifier  \"Mouse0\"" /etc/X11/xorg.conf
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "auto"
        Option      "Device" "/dev/mouse"

[<LAPPY - root>] $ system-config-mouse --device=input/mice --noui
genericps/2
Shutting down console mouse services: [  OK  ]
Starting console mouse services: [  OK  ]

[<LAPPY - root>] $ cat /etc/sysconfig/mouse
FULLNAME="Generic - 2 Button Mouse (PS/2)"
MOUSETYPE="imps2"
XEMU3="yes"
XMOUSETYPE="IMPS/2"
DEVICE=/dev/input/mice

[<LAPPY - root>] $ grep -A3 "Identifier  \"Mouse0\"" /etc/X11/xorg.conf
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "auto"
        Option      "Device" "/dev/mouse"






Comment 8 Adam Jackson 2007-03-26 11:01:54 EDT
I'm not able to reproduce this with s-c-d 1.0.48.  Please try FC7t3 and reopen
if this is still an issue for you.
Comment 9 Adam Jackson 2007-05-26 15:10:00 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.